Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network8.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
8.0.0.0
Broadcast address
9.255.255.255
First usable
8.0.0.1
Last usable
9.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 08000000 · Integer 134217728 to 167772159
Reverse DNS zones
8.in-addr.arpa
9.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001000.00000000.00000000.000000008.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network00001000.00000000.00000000.000000008.0.0.0
Broadcast00001001.11111111.11111111.111111119.255.255.255
Split into smaller subnets/14

8.0.0.0/7 makes 128 subnets of /14.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
18.0.0.0/148.0.0.1 to 8.3.255.2548.3.255.255262,142
28.4.0.0/148.4.0.1 to 8.7.255.2548.7.255.255262,142
38.8.0.0/148.8.0.1 to 8.11.255.2548.11.255.255262,142
48.12.0.0/148.12.0.1 to 8.15.255.2548.15.255.255262,142
58.16.0.0/148.16.0.1 to 8.19.255.2548.19.255.255262,142
68.20.0.0/148.20.0.1 to 8.23.255.2548.23.255.255262,142
78.24.0.0/148.24.0.1 to 8.27.255.2548.27.255.255262,142
88.28.0.0/148.28.0.1 to 8.31.255.2548.31.255.255262,142
98.32.0.0/148.32.0.1 to 8.35.255.2548.35.255.255262,142
108.36.0.0/148.36.0.1 to 8.39.255.2548.39.255.255262,142
118.40.0.0/148.40.0.1 to 8.43.255.2548.43.255.255262,142
128.44.0.0/148.44.0.1 to 8.47.255.2548.47.255.255262,142
138.48.0.0/148.48.0.1 to 8.51.255.2548.51.255.255262,142
148.52.0.0/148.52.0.1 to 8.55.255.2548.55.255.255262,142
158.56.0.0/148.56.0.1 to 8.59.255.2548.59.255.255262,142
168.60.0.0/148.60.0.1 to 8.63.255.2548.63.255.255262,142
178.64.0.0/148.64.0.1 to 8.67.255.2548.67.255.255262,142
188.68.0.0/148.68.0.1 to 8.71.255.2548.71.255.255262,142
198.72.0.0/148.72.0.1 to 8.75.255.2548.75.255.255262,142
208.76.0.0/148.76.0.1 to 8.79.255.2548.79.255.255262,142
218.80.0.0/148.80.0.1 to 8.83.255.2548.83.255.255262,142
228.84.0.0/148.84.0.1 to 8.87.255.2548.87.255.255262,142
238.88.0.0/148.88.0.1 to 8.91.255.2548.91.255.255262,142
248.92.0.0/148.92.0.1 to 8.95.255.2548.95.255.255262,142
258.96.0.0/148.96.0.1 to 8.99.255.2548.99.255.255262,142
268.100.0.0/148.100.0.1 to 8.103.255.2548.103.255.255262,142
278.104.0.0/148.104.0.1 to 8.107.255.2548.107.255.255262,142
288.108.0.0/148.108.0.1 to 8.111.255.2548.111.255.255262,142
298.112.0.0/148.112.0.1 to 8.115.255.2548.115.255.255262,142
308.116.0.0/148.116.0.1 to 8.119.255.2548.119.255.255262,142
318.120.0.0/148.120.0.1 to 8.123.255.2548.123.255.255262,142
328.124.0.0/148.124.0.1 to 8.127.255.2548.127.255.255262,142
338.128.0.0/148.128.0.1 to 8.131.255.2548.131.255.255262,142
348.132.0.0/148.132.0.1 to 8.135.255.2548.135.255.255262,142
358.136.0.0/148.136.0.1 to 8.139.255.2548.139.255.255262,142
368.140.0.0/148.140.0.1 to 8.143.255.2548.143.255.255262,142
378.144.0.0/148.144.0.1 to 8.147.255.2548.147.255.255262,142
388.148.0.0/148.148.0.1 to 8.151.255.2548.151.255.255262,142
398.152.0.0/148.152.0.1 to 8.155.255.2548.155.255.255262,142
408.156.0.0/148.156.0.1 to 8.159.255.2548.159.255.255262,142
418.160.0.0/148.160.0.1 to 8.163.255.2548.163.255.255262,142
428.164.0.0/148.164.0.1 to 8.167.255.2548.167.255.255262,142
438.168.0.0/148.168.0.1 to 8.171.255.2548.171.255.255262,142
448.172.0.0/148.172.0.1 to 8.175.255.2548.175.255.255262,142
458.176.0.0/148.176.0.1 to 8.179.255.2548.179.255.255262,142
468.180.0.0/148.180.0.1 to 8.183.255.2548.183.255.255262,142
478.184.0.0/148.184.0.1 to 8.187.255.2548.187.255.255262,142
488.188.0.0/148.188.0.1 to 8.191.255.2548.191.255.255262,142
498.192.0.0/148.192.0.1 to 8.195.255.2548.195.255.255262,142
508.196.0.0/148.196.0.1 to 8.199.255.2548.199.255.255262,142
518.200.0.0/148.200.0.1 to 8.203.255.2548.203.255.255262,142
528.204.0.0/148.204.0.1 to 8.207.255.2548.207.255.255262,142
538.208.0.0/148.208.0.1 to 8.211.255.2548.211.255.255262,142
548.212.0.0/148.212.0.1 to 8.215.255.2548.215.255.255262,142
558.216.0.0/148.216.0.1 to 8.219.255.2548.219.255.255262,142
568.220.0.0/148.220.0.1 to 8.223.255.2548.223.255.255262,142
578.224.0.0/148.224.0.1 to 8.227.255.2548.227.255.255262,142
588.228.0.0/148.228.0.1 to 8.231.255.2548.231.255.255262,142
598.232.0.0/148.232.0.1 to 8.235.255.2548.235.255.255262,142
608.236.0.0/148.236.0.1 to 8.239.255.2548.239.255.255262,142
618.240.0.0/148.240.0.1 to 8.243.255.2548.243.255.255262,142
628.244.0.0/148.244.0.1 to 8.247.255.2548.247.255.255262,142
638.248.0.0/148.248.0.1 to 8.251.255.2548.251.255.255262,142
648.252.0.0/148.252.0.1 to 8.255.255.2548.255.255.255262,142
659.0.0.0/149.0.0.1 to 9.3.255.2549.3.255.255262,142
669.4.0.0/149.4.0.1 to 9.7.255.2549.7.255.255262,142
679.8.0.0/149.8.0.1 to 9.11.255.2549.11.255.255262,142
689.12.0.0/149.12.0.1 to 9.15.255.2549.15.255.255262,142
699.16.0.0/149.16.0.1 to 9.19.255.2549.19.255.255262,142
709.20.0.0/149.20.0.1 to 9.23.255.2549.23.255.255262,142
719.24.0.0/149.24.0.1 to 9.27.255.2549.27.255.255262,142
729.28.0.0/149.28.0.1 to 9.31.255.2549.31.255.255262,142
739.32.0.0/149.32.0.1 to 9.35.255.2549.35.255.255262,142
749.36.0.0/149.36.0.1 to 9.39.255.2549.39.255.255262,142
759.40.0.0/149.40.0.1 to 9.43.255.2549.43.255.255262,142
769.44.0.0/149.44.0.1 to 9.47.255.2549.47.255.255262,142
779.48.0.0/149.48.0.1 to 9.51.255.2549.51.255.255262,142
789.52.0.0/149.52.0.1 to 9.55.255.2549.55.255.255262,142
799.56.0.0/149.56.0.1 to 9.59.255.2549.59.255.255262,142
809.60.0.0/149.60.0.1 to 9.63.255.2549.63.255.255262,142
819.64.0.0/149.64.0.1 to 9.67.255.2549.67.255.255262,142
829.68.0.0/149.68.0.1 to 9.71.255.2549.71.255.255262,142
839.72.0.0/149.72.0.1 to 9.75.255.2549.75.255.255262,142
849.76.0.0/149.76.0.1 to 9.79.255.2549.79.255.255262,142
859.80.0.0/149.80.0.1 to 9.83.255.2549.83.255.255262,142
869.84.0.0/149.84.0.1 to 9.87.255.2549.87.255.255262,142
879.88.0.0/149.88.0.1 to 9.91.255.2549.91.255.255262,142
889.92.0.0/149.92.0.1 to 9.95.255.2549.95.255.255262,142
899.96.0.0/149.96.0.1 to 9.99.255.2549.99.255.255262,142
909.100.0.0/149.100.0.1 to 9.103.255.2549.103.255.255262,142
919.104.0.0/149.104.0.1 to 9.107.255.2549.107.255.255262,142
929.108.0.0/149.108.0.1 to 9.111.255.2549.111.255.255262,142
939.112.0.0/149.112.0.1 to 9.115.255.2549.115.255.255262,142
949.116.0.0/149.116.0.1 to 9.119.255.2549.119.255.255262,142
959.120.0.0/149.120.0.1 to 9.123.255.2549.123.255.255262,142
969.124.0.0/149.124.0.1 to 9.127.255.2549.127.255.255262,142
979.128.0.0/149.128.0.1 to 9.131.255.2549.131.255.255262,142
989.132.0.0/149.132.0.1 to 9.135.255.2549.135.255.255262,142
999.136.0.0/149.136.0.1 to 9.139.255.2549.139.255.255262,142
1009.140.0.0/149.140.0.1 to 9.143.255.2549.143.255.255262,142
1019.144.0.0/149.144.0.1 to 9.147.255.2549.147.255.255262,142
1029.148.0.0/149.148.0.1 to 9.151.255.2549.151.255.255262,142
1039.152.0.0/149.152.0.1 to 9.155.255.2549.155.255.255262,142
1049.156.0.0/149.156.0.1 to 9.159.255.2549.159.255.255262,142
1059.160.0.0/149.160.0.1 to 9.163.255.2549.163.255.255262,142
1069.164.0.0/149.164.0.1 to 9.167.255.2549.167.255.255262,142
1079.168.0.0/149.168.0.1 to 9.171.255.2549.171.255.255262,142
1089.172.0.0/149.172.0.1 to 9.175.255.2549.175.255.255262,142
1099.176.0.0/149.176.0.1 to 9.179.255.2549.179.255.255262,142
1109.180.0.0/149.180.0.1 to 9.183.255.2549.183.255.255262,142
1119.184.0.0/149.184.0.1 to 9.187.255.2549.187.255.255262,142
1129.188.0.0/149.188.0.1 to 9.191.255.2549.191.255.255262,142
1139.192.0.0/149.192.0.1 to 9.195.255.2549.195.255.255262,142
1149.196.0.0/149.196.0.1 to 9.199.255.2549.199.255.255262,142
1159.200.0.0/149.200.0.1 to 9.203.255.2549.203.255.255262,142
1169.204.0.0/149.204.0.1 to 9.207.255.2549.207.255.255262,142
1179.208.0.0/149.208.0.1 to 9.211.255.2549.211.255.255262,142
1189.212.0.0/149.212.0.1 to 9.215.255.2549.215.255.255262,142
1199.216.0.0/149.216.0.1 to 9.219.255.2549.219.255.255262,142
1209.220.0.0/149.220.0.1 to 9.223.255.2549.223.255.255262,142
1219.224.0.0/149.224.0.1 to 9.227.255.2549.227.255.255262,142
1229.228.0.0/149.228.0.1 to 9.231.255.2549.231.255.255262,142
1239.232.0.0/149.232.0.1 to 9.235.255.2549.235.255.255262,142
1249.236.0.0/149.236.0.1 to 9.239.255.2549.239.255.255262,142
1259.240.0.0/149.240.0.1 to 9.243.255.2549.243.255.255262,142
1269.244.0.0/149.244.0.1 to 9.247.255.2549.247.255.255262,142
1279.248.0.0/149.248.0.1 to 9.251.255.2549.251.255.255262,142
1289.252.0.0/149.252.0.1 to 9.255.255.2549.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses